<!-- Navbar (Header) Starts -->
<nav class="header-navbar navbar navbar-expand-lg navbar-light bg-faded">
    <div class="container-fluid">
        <div class="navbar-header">

        </div>
        <div class="navbar-container">
            <div class="collapse navbar-collapse" id="navbarSupportedContent" [ngbCollapse]="isCollapsed">
                <ul class="navbar-nav">
                    <li class="nav-item mr-3" *ngIf="!adminMode">
                        <a class="nav-link" ng id="dropdownBasic3" [routerLink]="['/']"
                            routerLinkActive="router-link-active">
                            <i class="icon-home font-medium-3 blue-grey darken-4"></i>
                        </a>
                    </li>
                    <!-- <li class="nav-item mr-3" *ngIf="HasLogged && !adminMode" ngbDropdown [placement]="placement">
                        <a class="nav-link position-relative" id="dropdownBasic3" ngbDropdownToggle>
                            <i class="ft-shopping-cart font-medium-3 blue-grey darken-4"></i>
                            <p class="d-none">Shop</p>
                        </a>
                        <div ngbDropdownMenu aria-labelledby="dropdownBasic3" class="text-left">
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['/register']"
                                *ngIf="HasLogged">
                                <i class="icon-basket-loaded mr-2"></i>
                                <span>Shop</span>
                            </a>
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['/login']"
                                *ngIf="HasLogged">
                                <i class="ft-thumbs-up mr-2"></i>
                                <span>Vote</span>
                            </a>
                        </div>
                    </li> -->
                    <li class="nav-item mr-3" *ngIf="!adminMode" ngbDropdown [placement]="placement">
                        <a class="nav-link position-relative" id="dropdownBasic3" ngbDropdownToggle>
                            <i class="ft-user font-medium-3 blue-grey darken-4"></i>
                            <p class="d-none">User Settings</p>
                        </a>
                        <div ngbDropdownMenu aria-labelledby="dropdownBasic3" class="text-left">
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['user/register']"
                                *ngIf="!HasLogged">
                                <i class="ft-user-plus mr-2"></i>
                                <span>Register</span>
                            </a>
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['user/login']"
                                *ngIf="!HasLogged">
                                <i class="ft-log-in mr-2"></i>
                                <span>Login</span>
                            </a>
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['user/dashboard']" routerLinkActive="router-link-active"
                                *ngIf="HasLogged">
                                <i class="icon-grid mr-2"></i>
                                <span>Dashboard</span>
                            </a>
                            <div class="dropdown-divider" *ngIf="HasLogged"></div>
                            <a class="dropdown-item" href="javascript:;" *ngIf="HasLogged" (click)="logout()">
                                <i class="ft-power mr-2"></i>
                                <span>Logout</span>
                            </a>
                        </div>
                    </li>
                    <!-- <li class="nav-item mr-3" *ngIf="HasLogged && !adminMode" ngbDropdown [placement]="placement">
                        <a class="nav-link position-relative" id="dropdownBasic3" ngbDropdownToggle>
                            <i class="ft-help-circle font-medium-3 blue-grey darken-4"></i>
                            <p class="d-none">Support</p>
                        </a>
                        <div ngbDropdownMenu aria-labelledby="dropdownBasic3" class="text-left">
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['/register']"
                                *ngIf="HasLogged">
                                <i class="ft-edit mr-2"></i>
                                <span>Write ticket</span>
                            </a>
                            <a class="dropdown-item py-1" href="javascript:;" [routerLink]="['/login']"
                                *ngIf="HasLogged">
                                <i class="ft-folder mr-2"></i>
                                <span>Ticket center</span>
                            </a> -->
                            <!-- <div class="dropdown-divider" *ngIf="(loggedIn$ | async)"></div> -->
                            <!-- <a class="dropdown-item" href="javascript:;" *ngIf="(loggedIn$ | async)" (click)="logout()">
                                    <i class="ft-power mr-2"></i>
                                    <span>Logout</span>
                                </a> -->
                        <!-- </div> -->
                    <!-- </li> -->
                    <li class="nav-item mr-3" *ngIf="adminMode">
                            <a class="nav-link" [routerLink]="['/admin/news']"
                                routerLinkActive="router-link-active">
                                <i id="admin-hover" class="ft-edit-3 font-medium-3 blue-grey darken-4"></i>
                            </a>
                        </li>
                    <li class="nav-item mr-3" *ngIf="Roles === 3">
                            <a class="nav-link" id="admin" (click)="setAdminMode()" 
                                routerLinkActive="router-link-active">
                                <i  id ="admin" class="ft-shield font-medium-3 blue-grey darken-4"></i>
                            </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</nav>
<!-- Navbar (Header) Ends -->